Status: Resolved Start date: 09 January 2014
Priority: Urgent Due date:
Assignee: Tomáš Kulhánek % Done: 90%
Category: HTML5 client Estimated time: 0.00 hour
Target version: Psychotest 1 Spent time: 10.00 hours
Description
2 a více zvuků má uživatel možnost umístit do 1D nebo 2D grafu, kde na každé ose je reprezentována nějaká vlastnost a 
    -  1D - umístěním zvuku na osu se vyjadřuje, že tento zvuk má silnější vlastnost než zvuky na ose vlevo a slabší než zvuky na ose
vpravo
    -  2D - umístěním zvuku na osu y se vyjadřuje, že tento zvuk má silnější vlastnost než zvuky na ose níže a slabší než zvuky na ose
výše
V rámci této featury jsou tyto úkoly:
    1. navrhnout definici v Psychoacoustictest-DSL a interpretaci v HTML5 a Javascriptu
    2. implementovat rozšíření v psychotest-interpret.js
    3. zdokumentovat návrh v popisu DSL - 
http://patf-biokyb.lf1.cuni.cz/wiki/projekty/psychoakusticke_testy/navrh_architektury?&#38;#psychoacoustictest-dsl

History
#1 - 27 May 2014 12:01 - Marek Frič
- Priority changed from Normal to Urgent

#2 - 27 May 2014 21:40 - Tomáš Kulhánek
- Assignee changed from Martin Tribula to Tomáš Kulhánek

změna vlastníka -> Tomáš

#3 - 28 May 2014 20:48 - Tomáš Kulhánek
- Status changed from New to Resolved
- % Done changed from 0 to 80

Implementovan serazovaci prvek 2d. Grafické pole, pro každý zvuk přítomný na dané obrazovce vytvoří ikonu, která je iniciálně vlevo a dá se myší
přemístit v 2d poli, na obrazovce může být max. 1 takovýto prvek.
Výsledkem je pole souřadnic ve tvaru "X1,Y1 X2,Y2" tj. koordináty ikony X-ová 0-800 zleva doprava a Y-ová 0-150 ze shora dolů.  

serad2d [popis_osy_X] [popis_osy_Y]

#4 - 29 May 2014 22:35 - Tomáš Kulhánek
- % Done changed from 80 to 90

-fix, popis oddělen v definici středníkem = nemusí být popis pospojován podtržítkem
-fix, omezeny hranice, kam lze přemístit seřazený zvuk
